TR(1)

NAVN
tr - translate or delete characters

OVERSIKT
tr [OPTION]... SETT1 [SETT2]

BESKRIVELSE

Oversett, klem sammen og/eller slett tegn fra standard inndata, og skriv ut resultatet til standardutdata.

-c, -C, --complement
    Bruk komplementæren for SETT1.

-d, --delete
    Slett tegn i SETT1, og ikke oversett.

-s, --squeeze-repeats
    Erstatt hver inndata-sekvens med et gjentatt tegn basert på et som forekommer én gang i sist valgt SETT.

-t, --truncate-set1
    Forkort SETT1 til samme lengde som SETT2 først.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

SETT spesifiseres med strenger av tegn. De fleste tegnene står for seg selv. Følgende sekvenser tolkes spesielt:

\NNN
    tegn med oktalverdi NNN (1 til 3 oktale sifre)

\\  speilvendt skråstrek

\a  pip

\b  rettetast

\f  skjemakilde

\n  ny linje

\r  rettetast

\t  horisontal tabulator

\v  vertikal tabulator

TEGN1-TEGN2
    alle tegn fra TEGN1 til TEGN2, stigende

[TEGN*]
    i SETT2, kopier av TEGN inntil samme lengde til SETT1

[TEGN*ANT]
    ANT kopier av TEGN, ANT er oktal, hvis det begynner med 0

[:alnum:]
    alle bokstaver og tall

[:alpha:]
    alle bokstaver

[:blank:]
    alle horisontale blanke tegn

[:cntrl:]
    alle kontrolltegn

[:digit:]
    alle siffer

[:graph:]
    alle skrivbare tegn, unntatt blanke tegn

[:lower:]
    alle små bokstaver

[:print:]
    alle skrivbare tegn, inkludert blanke tegn

[:punct:]
    alle tegnsettingstegn

[:space:]
    alle horisontale og vertikale blanke tegn

[:upper:]
    alle store bokstaver

[:xdigit:]
    alle hexadesimale siffer

[=TEGN=]
    alle tegn som tilsvarer TEGN

Programmet oversetter hvis -d ikke er valgt, og SETT1 og SETT2 finnes. Du kan bare bruke -t ved oversetting. SETT2 utvides til lengden av SETT1 ved å gjenta dets siste tegn hvis nødvendig. Overskytende tegn i SETT2 ignoreres. Det er bare [:lower:] og [:upper:] som garanteres å utvide i stigende rekkefølge. Hvis de brukes i SETT2 under oversetting, kan de bare brukes parvis for å velge stor/liten bokstavkonvertering. -s bruker sist valgt sett , og utføres etter oversetting eller sletting.

OPPHAVSMANN
Skrevet av Jim Meyering.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2020 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/tr>
eller lokalt: info '(coreutils) tr invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.